#!/bin/sh

set -efu

# run tests only for the default version of Python, because python3-lief
# is only built for one Python version
pys="$(py3versions -d 2> /dev/null)"

cp -ra tests "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"

for py in $pys; do
    echo "=== $py ==="
    $py -m pytest tests 2>&1
done

